/[suikacvs]/test/suikawebwww/style/html/xhtml1.css
Suika

Contents of /test/suikawebwww/style/html/xhtml1.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.9 - (show annotations) (download) (as text)
Sat Apr 23 06:55:03 2005 UTC (21 years, 2 months ago) by wakaba
Branch: MAIN
Changes since 1.8: +21 -4 lines
File MIME type: text/css
common-class XML namespace support; link hover & same-document reference coloring from Wakaba's personal style sheet; kbd shadowing direction bug:) fixed

1 @charset 'iso-2022-jp';
2 @import 'http://suika.fam.cx/www/style/ui/toc-style-float.css';
3 @namespace 'http://www.w3.org/1999/xhtml';
4 @namespace xml 'http://www.w3.org/XML/1998/namespace';
5
6 html {
7 display: block;
8 line-height: 2.0;
9 }
10 head {
11 display: none;
12 }
13
14 body {
15 display: block;
16 margin: 1em 1.5em;
17 }
18
19 blockquote, table {
20 margin: 1em 2em;
21 }
22
23 h1, h2, h3, h4, h5, h6 {
24 display: block;
25 line-height: 1.5;
26 font-size: 120%;
27 font-weight: bolder;
28 text-align: left;
29 }
30
31 h1 {
32 text-align: center;
33 font-size: 140%;
34 -moz-binding: url(http://suika.fam.cx/www/style/ui/toc#after);
35 }
36
37 h3:before {
38 content: "\0025B6" " ";
39 }
40
41 h4:before {
42 content: "\0025B7" " ";
43 }
44
45 p {
46 display: block;
47 text-indent: 1em;
48 margin: 0 1em;
49 text-align: justify;
50 }
51 p:lang(en) {
52 text-indent: 2em;
53 }
54
55 ul, ol, dl {
56 display: block;
57 margin: 1em;
58 padding: 0;
59 }
60
61 dt, li {
62 display: list-item;
63 margin-left: 1em;
64 padding-left: 0.5em;
65 list-style: disc;
66 }
67 dt dt, li li {
68 list-style: square;
69 }
70
71 dt {
72 font-weight: bolder;
73 }
74
75 dd {
76 display: block;
77 margin-left: 3em;
78 padding-left: 0;
79 overflow: auto;
80 list-style-type: none;
81 }
82
83 li:first-child:last-child {
84 list-style: disc;
85 }
86
87 blockquote {
88 display: block;
89 border-left: 1em double rgb(204, 0, 0);
90 padding-left: 1em;
91 }
92
93 blockquote > cite {
94 display: block;
95 margin-right: 2em;
96 text-align: right;
97 }
98 /* XML Alternate: H3|credit */
99
100 blockquote > cite:before {
101 display: inline;
102 content: "$B!=!=(B " !important;
103 }
104 blockquote > cite:after {
105 display: inline;
106 content: "" !important;
107 }
108
109 table {
110 margin-left: auto;
111 margin-right: auto;
112 }
113
114 /* Physical Blocks */
115
116 pre {
117 display: block;
118 overflow: auto;
119 font-family: "Courier New", "Courier", monospace;
120 }
121
122 /* Phrase */
123
124 code {
125 font-family: "Courier New", "Courier", monospace;
126 letter-spacing: 0.1em;
127 }
128
129 var {
130 font-style: normal;
131 text-decoration: underline;
132 }
133 var:lang(en) {
134 font-family: "Times New Roman", serif;
135 font-style: italic;
136 text-decoration: none;
137 }
138
139 dfn {
140 font-style: normal;
141 font-weight: bolder;
142 }
143 dfn:lang(en) {
144 font-style: italic;
145 font-weight: normal;
146 }
147
148 /* Inputs */
149 kbd {
150 font-family: "Courier New", "Courier", monospace;
151 font-size: 100%;
152 line-height: 1.1;
153 border: gray 1px outset;
154 padding: 0.1em;
155 }
156
157 em {
158 font-style: normal;
159 text-decoration: underline;
160 }
161
162 em:lang(en) {
163 font-style: italic;
164 text-decoration: none;
165 }
166
167 /*
168 * $B8@8l>pJs$G>l9gJ,$1$9$k$N$O@5$7$/$J$$$,!"8=:_$N(B CSS
169 * $B$K$OMQ;z7O$NA*Br;R$,$J$$$+$i!"6a;wE*$K$3$l$r;H$&!#(B
170 */
171
172 [lang|="ja"] cite, [xml|lang|="ja"] cite {
173 quotes: "$B!X(B" "$B!Y(B" "$B!V(B" "$B!W(B";
174 font-style: normal;
175 }
176 [lang|="ja"] cite:before, [xml|lang|="ja"] cite:before {
177 content: open-quote;
178 }
179 [lang|="ja"] cite:after, [xml|lang|="ja"] cite:after {
180 content: close-quote;
181 }
182 [lang|="en"] cite, [xml|lang|="en"] cite {
183 quotes: none;
184 font-style: italic;
185 }
186 [lang|="en"] cite cite, [xml|lang|="en"] cite cite {
187 quotes: none;
188 font-style: normal;
189 }
190 [lang|="en"] cite:before, [xml|lang|="en"] cite:before,
191 [lang|="en"] cite:after, [xml|lang|="en"] cite:after {
192 content: none;
193 }
194
195 /* Table */
196
197 table {
198 border: 1px solid gray;
199 border-spacing: 0;
200 }
201
202 thead, tfoot, th {
203 font-weight: bolder;
204 }
205
206 td, th {
207 padding: 0.2em 0.4em;
208 border: 1px solid #E0E0E0;
209 }
210
211 th[scope="row"], th[scope="rowgroup"] {
212 text-align: left;
213 border-right: 1px solid #C0C0C0;
214 }
215 th[scope="col"], th[scope="colgroup"] {
216 text-align: center;
217 border-bottom: 1px solid #C0C0C0;
218 }
219
220 /* Subscripts and Superscripts */
221
222 sub {
223 vertical-align: sub;
224 font-size: 80%;
225 }
226 sup {
227 vertical-align: top;
228 font-size: 80%;
229 }
230
231
232 /* Edit */
233
234 ins {
235 background-color: rgb(255, 255, 153);
236 color: black;
237 text-decoration: underline;
238 }
239
240 body > ins {
241 display: block;
242 text-decoration: none;
243 }
244
245 del {
246 background-color: #FFBBBB;
247 color: black;
248 font-size: 80%;
249 }
250
251 body > del {
252 display: block;
253 }
254
255 /* Footer */
256
257 address {
258 font-style: normal;
259 font-size: 100%;
260 }
261
262 /* Hyperlinks */
263
264 [href^="#"]:link, [href^="#"]:visited {
265 text-decoration: none !important;
266 border-bottom: dotted 1px !important;
267 }
268
269 a:hover {
270 background-color: #FFA;
271 color: #000080;
272 }
273
274 /* License
275
276 Copyright 2003-2005 Wakaba <[email protected]>.
277
278 This program is free software; you can redistribute it and/or modify
279 it under the terms of the GNU General Public License as published by
280 the Free Software Foundation; either version 2 of the License, or
281 (at your option) any later version.
282
283 This program is distributed in the hope that it will be useful,
284 but WITHOUT ANY WARRANTY; without even the implied warranty of
285 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
286 GNU General Public License for more details.
287
288 You should have received a copy of the GNU General Public License
289 along with this program; see the file COPYING. If not, write to
290 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
291 Boston, MA 02111-1307, USA.
292
293 */
294
295 /* $Date: 2005/03/14 00:40:15 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24